//go:generate mockgen -package mocks -source cluster_grpc.pb.go -destination mocks/cluster.go

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.1
// source: infranetes/autodevops/v1/cluster.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	_ "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CloudType int32

const (
	CloudType_UNSPECIFIED CloudType = 0
	CloudType_AWS         CloudType = 1
	CloudType_GCP         CloudType = 2
	CloudType_AZURE       CloudType = 3
)

// Enum value maps for CloudType.
var (
	CloudType_name = map[int32]string{
		0: "UNSPECIFIED",
		1: "AWS",
		2: "GCP",
		3: "AZURE",
	}
	CloudType_value = map[string]int32{
		"UNSPECIFIED": 0,
		"AWS":         1,
		"GCP":         2,
		"AZURE":       3,
	}
)

func (x CloudType) Enum() *CloudType {
	p := new(CloudType)
	*p = x
	return p
}

func (x CloudType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CloudType) Descriptor() protoreflect.EnumDescriptor {
	return file_infranetes_autodevops_v1_cluster_proto_enumTypes[0].Descriptor()
}

func (CloudType) Type() protoreflect.EnumType {
	return &file_infranetes_autodevops_v1_cluster_proto_enumTypes[0]
}

func (x CloudType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CloudType.Descriptor instead.
func (CloudType) EnumDescriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_cluster_proto_rawDescGZIP(), []int{0}
}

type RegisterRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name      string    `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	CloudType CloudType `protobuf:"varint,2,opt,name=cloud_type,json=cloudType,proto3,enum=api.infranetes.autodevops.v1.CloudType" json:"cloud_type,omitempty"`
}

func (x *RegisterRequest) Reset() {
	*x = RegisterRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_cluster_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RegisterRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegisterRequest) ProtoMessage() {}

func (x *RegisterRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_cluster_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegisterRequest.ProtoReflect.Descriptor instead.
func (*RegisterRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_cluster_proto_rawDescGZIP(), []int{0}
}

func (x *RegisterRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *RegisterRequest) GetCloudType() CloudType {
	if x != nil {
		return x.CloudType
	}
	return CloudType_UNSPECIFIED
}

type RegisterResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name   string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	ApiKey string `protobuf:"bytes,2,opt,name=api_key,json=apiKey,proto3" json:"api_key,omitempty"`
}

func (x *RegisterResponse) Reset() {
	*x = RegisterResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_cluster_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RegisterResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegisterResponse) ProtoMessage() {}

func (x *RegisterResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_cluster_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegisterResponse.ProtoReflect.Descriptor instead.
func (*RegisterResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_cluster_proto_rawDescGZIP(), []int{1}
}

func (x *RegisterResponse) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *RegisterResponse) GetApiKey() string {
	if x != nil {
		return x.ApiKey
	}
	return ""
}

var File_infranetes_autodevops_v1_cluster_proto protoreflect.FileDescriptor

var file_infranetes_autodevops_v1_cluster_proto_rawDesc = []byte{
	0x0a, 0x26, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x61, 0x75, 0x74,
	0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74,
	0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1c, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76,
	0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x6d, 0x0a, 0x0f, 0x52, 0x65, 0x67, 0x69, 0x73,
	0x74, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x46,
	0x0a, 0x0a, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x27, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65,
	0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x54, 0x79, 0x70, 0x65, 0x22, 0x3f, 0x0a, 0x10, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74,
	0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x17,
	0x0a, 0x07, 0x61, 0x70, 0x69, 0x5f, 0x6b, 0x65, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x61, 0x70, 0x69, 0x4b, 0x65, 0x79, 0x2a, 0x39, 0x0a, 0x09, 0x43, 0x6c, 0x6f, 0x75, 0x64,
	0x54, 0x79, 0x70, 0x65, 0x12, 0x0f, 0x0a, 0x0b, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46,
	0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x07, 0x0a, 0x03, 0x41, 0x57, 0x53, 0x10, 0x01, 0x12, 0x07,
	0x0a, 0x03, 0x47, 0x43, 0x50, 0x10, 0x02, 0x12, 0x09, 0x0a, 0x05, 0x41, 0x5a, 0x55, 0x52, 0x45,
	0x10, 0x03, 0x32, 0x76, 0x0a, 0x07, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x12, 0x6b, 0x0a,
	0x08, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x12, 0x2d, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64,
	0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65,
	0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x27, 0x5a, 0x25, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65,
	0x74, 0x65, 0x73, 0x2f, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2f, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_infranetes_autodevops_v1_cluster_proto_rawDescOnce sync.Once
	file_infranetes_autodevops_v1_cluster_proto_rawDescData = file_infranetes_autodevops_v1_cluster_proto_rawDesc
)

func file_infranetes_autodevops_v1_cluster_proto_rawDescGZIP() []byte {
	file_infranetes_autodevops_v1_cluster_proto_rawDescOnce.Do(func() {
		file_infranetes_autodevops_v1_cluster_proto_rawDescData = protoimpl.X.CompressGZIP(file_infranetes_autodevops_v1_cluster_proto_rawDescData)
	})
	return file_infranetes_autodevops_v1_cluster_proto_rawDescData
}

var file_infranetes_autodevops_v1_cluster_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_infranetes_autodevops_v1_cluster_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_infranetes_autodevops_v1_cluster_proto_goTypes = []interface{}{
	(CloudType)(0),           // 0: api.infranetes.autodevops.v1.CloudType
	(*RegisterRequest)(nil),  // 1: api.infranetes.autodevops.v1.RegisterRequest
	(*RegisterResponse)(nil), // 2: api.infranetes.autodevops.v1.RegisterResponse
}
var file_infranetes_autodevops_v1_cluster_proto_depIdxs = []int32{
	0, // 0: api.infranetes.autodevops.v1.RegisterRequest.cloud_type:type_name -> api.infranetes.autodevops.v1.CloudType
	1, // 1: api.infranetes.autodevops.v1.Cluster.Register:input_type -> api.infranetes.autodevops.v1.RegisterRequest
	2, // 2: api.infranetes.autodevops.v1.Cluster.Register:output_type -> api.infranetes.autodevops.v1.RegisterResponse
	2, // [2:3] is the sub-list for method output_type
	1, // [1:2] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_infranetes_autodevops_v1_cluster_proto_init() }
func file_infranetes_autodevops_v1_cluster_proto_init() {
	if File_infranetes_autodevops_v1_cluster_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_infranetes_autodevops_v1_cluster_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RegisterRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_cluster_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RegisterResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_infranetes_autodevops_v1_cluster_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_infranetes_autodevops_v1_cluster_proto_goTypes,
		DependencyIndexes: file_infranetes_autodevops_v1_cluster_proto_depIdxs,
		EnumInfos:         file_infranetes_autodevops_v1_cluster_proto_enumTypes,
		MessageInfos:      file_infranetes_autodevops_v1_cluster_proto_msgTypes,
	}.Build()
	File_infranetes_autodevops_v1_cluster_proto = out.File
	file_infranetes_autodevops_v1_cluster_proto_rawDesc = nil
	file_infranetes_autodevops_v1_cluster_proto_goTypes = nil
	file_infranetes_autodevops_v1_cluster_proto_depIdxs = nil
}
